Recent

Author Topic: Fpc versions for Lazarus trunk?  (Read 2095 times)

kapibara

  • Hero Member
  • *****
  • Posts: 561
Fpc versions for Lazarus trunk?
« on: November 05, 2021, 12:02:17 pm »
Which versions of fpc can compile Lazarus trunk currently?
Lazarus trunk / fpc 3.2.2 / Kubuntu 21.10 - 64 bit

dbannon

  • Hero Member
  • *****
  • Posts: 2021
    • tomboy-ng, a rewrite of the classic Tomboy
Re: Fpc versions for Lazarus trunk?
« Reply #1 on: November 05, 2021, 12:07:03 pm »
at least 3.2.0, 3.2.2 and 3.2.3 (ie fixes).

Davo
Lazarus 2, Linux (and reluctantly Win10, OSX)
My Project - https://github.com/tomboy-notes/tomboy-ng

kapibara

  • Hero Member
  • *****
  • Posts: 561
Re: Fpc versions for Lazarus trunk?
« Reply #2 on: November 05, 2021, 12:35:43 pm »
Thanks. I have fpc 3.2.2 and compiling with "make bigide " failed.
(But using just "make" worked, so now I'm up and running)

Code: Pascal  [Select][+][-]
  1. (9022) Compiling resource ../units/x86_64-linux/gtk2/lazarus.or
  2. (9015) Linking ../lazarus
  3. /usr/bin/ld: cannot find -lgdk-x11-2.0
  4. /usr/bin/ld: cannot find -lgtk-x11-2.0
  5. /usr/bin/ld: cannot find -lX11
  6. /usr/bin/ld: cannot find -lgdk_pixbuf-2.0
  7. /usr/bin/ld: cannot find -lgobject-2.0
  8. /usr/bin/ld: cannot find -lglib-2.0
  9. /usr/bin/ld: cannot find -lgthread-2.0
  10. /usr/bin/ld: cannot find -lgmodule-2.0
  11. /usr/bin/ld: cannot find -lpango-1.0
  12. /usr/bin/ld: cannot find -lcairo
  13. /usr/bin/ld: cannot find -latk-1.0
  14. /usr/bin/ld: cannot find -lpangocairo-1.0
  15. /home/roger/dev/lazsvn/ide/lazarus.pp(167,1) Error: (9013) Error while linking
  16. /home/roger/dev/lazsvn/ide/lazarus.pp(167,1) Fatal: (10026) There were 1 errors compiling module, stopping
  17. Fatal: (1018) Compilation aborted
  18. make[2]: *** [Makefile:4668: lazarus] Error 1
  19. make[2]: Leaving directory '/home/roger/dev/lazsvn/ide'
  20. make[1]: *** [Makefile:5109: bigide] Error 2
  21. make[1]: Leaving directory '/home/roger/dev/lazsvn/ide'
  22. make: *** [Makefile:3738: idebig] Error 2
  23.  
Lazarus trunk / fpc 3.2.2 / Kubuntu 21.10 - 64 bit

Zvoni

  • Hero Member
  • *****
  • Posts: 1182
Re: Fpc versions for Lazarus trunk?
« Reply #3 on: November 05, 2021, 12:37:42 pm »
IIRC, those are dependencies you have to install beforehand (the "dev"-packages i think)
One System to rule them all, One Code to find them,
One IDE to bring them all, and to the Framework bind them,
in the Land of Redmond, where the Windows lie
---------------------------------------------------------------------
Code is like a joke: If you have to explain it, it's bad

dbannon

  • Hero Member
  • *****
  • Posts: 2021
    • tomboy-ng, a rewrite of the classic Tomboy
Re: Fpc versions for Lazarus trunk?
« Reply #4 on: November 06, 2021, 12:47:13 am »

https://wiki.freepascal.org/Installing_Lazarus_on_Linux

Quote
Note: Dependencies - you probably want to build the GTK2 version of Lazarus, most distros will have gtk2 preinstalled but you may need to install its dev libraries. So, install gdb, libx11-dev and libgtk2.0-dev, that will bring gtk2 itself along if necessary. If building a QT5 version, you will need libqt5pas-dev. If you are going to work with GTK3, you will need to install libgtk-3-dev

But do please read the above mentioned wiki page.

Davo
Lazarus 2, Linux (and reluctantly Win10, OSX)
My Project - https://github.com/tomboy-notes/tomboy-ng

JuhaManninen

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 4096
  • I like bugs.
Re: Fpc versions for Lazarus trunk?
« Reply #5 on: November 06, 2021, 09:58:56 am »
at least 3.2.0, 3.2.2 and 3.2.3 (ie fixes).
Actually also FPC 3.0.4 can still be used. Its support was extended because of some regression bugs in 3.2.0. AFAIK 3.2.4 will solve them.
Mostly Lazarus trunk and FPC 3.2 on Manjaro Linux 64-bit.

 

TinyPortal © 2005-2018